org.apache.xmlbeans.impl.config

## Class InterfaceExtensionImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.config.InterfaceExtensionImpl

All Implemented Interfaces:
  InterfaceExtension

    public class InterfaceExtensionImpl
    extends Object
    implements InterfaceExtension

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.InterfaceExtension

`InterfaceExtension.MethodSignature`

### Constructor Summary

Constructors
Constructor and Description
`InterfaceExtensionImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(String fullJavaName)`
`String` `getInterface()` Get the fully qualified interface name.
`InterfaceExtension.MethodSignature[]` `getMethods()` Returns an array of MethodSignature declared in the interface class.
`String` `getStaticHandler()` Get the fully qualified static handler class name.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InterfaceExtensionImpl

    public InterfaceExtensionImpl()

### Method Detail

#### contains

    public boolean contains(String fullJavaName)

#### getStaticHandler

    public String getStaticHandler()

Description copied from interface: `InterfaceExtension`
Get the fully qualified static handler class name.

Specified by:
  `getStaticHandler` in interface `InterfaceExtension`

#### getInterface

    public String getInterface()

Description copied from interface: `InterfaceExtension`
Get the fully qualified interface name.

Specified by:
  `getInterface` in interface `InterfaceExtension`

#### getMethods

    public InterfaceExtension.MethodSignature[] getMethods()

Description copied from interface: `InterfaceExtension`
Returns an array of MethodSignature declared in the interface class. Possibly null if there is an error in the configuration.

Specified by:
  `getMethods` in interface `InterfaceExtension`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`